Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app.update
Class ClientUpdateManager

    java.lang.Object
      nextapp.echo2.app.update.ClientUpdateManager

All Implemented Interfaces:
  java.io.Serializable

    public class ClientUpdateManager

extends java.lang.Object
implements java.io.Serializable

Stores inputs received from the application container and notifies components about them via the `Component.processInput()` method.

See Also:
  `Component.processInput(java.lang.String, java.lang.Object)`, Serialized Form

Method Summary
`void` | `setApplicationProperty(java.lang.String propertyName, java.lang.Object propertyValue)` Sets an application-level property received from the client.
`void` | `setComponentAction(Component actionComponent, java.lang.String actionName, java.lang.Object actionValue)` Sets the action received from the client.
`void` | `setComponentProperty(Component component, java.lang.String inputName, java.lang.Object inputValue)` Adds a property update received from the client.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setApplicationProperty

    public void setApplicationProperty(java.lang.String propertyName,
                                       java.lang.Object propertyValue)

  Sets an application-level property received from the client.

  Parameters:
    `propertyName` - the name of the property
    `propertyValue` - the value of the property

### setComponentAction

    public void setComponentAction(Component actionComponent,
                                   java.lang.String actionName,
                                   java.lang.Object actionValue)

  Sets the action received from the client. The 'action' describes the client-side update which necessitated the occurrence of this client-server interaction. The application will be notified of the action AFTER it has been notified of all other property updates.

  Parameters:
    `actionComponent` - the action-producing component
    `actionName` - the name of the action
    `actionValue` - the value of the action

### setComponentProperty

    public void setComponentProperty(Component component,
                                     java.lang.String inputName,
                                     java.lang.Object inputValue)

  Adds a property update received from the client.

  Parameters:
    `component` - the updated component
    `inputName` - the name of the input property
    `inputValue` - the value of the input property

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD